Create Payment Plan
curl --request POST \
--url https://staging.debt-wise.com/api/users/{id}/payment_plans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"strategy": "avalanche",
"accounts": [
1
],
"extra_amount": 5000,
"total_monthly_contribution": 20000
}
'import requests
url = "https://staging.debt-wise.com/api/users/{id}/payment_plans"
payload = {
"strategy": "avalanche",
"accounts": [1],
"extra_amount": 5000,
"total_monthly_contribution": 20000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
strategy: 'avalanche',
accounts: [1],
extra_amount: 5000,
total_monthly_contribution: 20000
})
};
fetch('https://staging.debt-wise.com/api/users/{id}/payment_plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"total_monthly_contribution": 20000,
"debt_free_date": "2045-01-23",
"strategy": "avalanche",
"extra_amount": 5000,
"upcoming_payments": [
{
"id": 1,
"amount": 10000,
"status": "upcoming",
"type": "priority",
"payment_date": "2026-06-06",
"account_id": 2,
"estimated_balance": 4313500,
"estimated_payoff_date": "2031-06-01"
}
],
"accounts": [
1
]
}{
"error": {
"code": "already_exist",
"message": "Payment plan already exist"
}
}{
"error": {
"code": "internal_server_error",
"message": "We've notified our engineers and hope to address this issue shortly."
}
}Debt Payoff Plan
Create Payment Plan
Create a new payment plan
POST
/
api
/
users
/
{id}
/
payment_plans
Create Payment Plan
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
We can compress a response with gzip.
Example:
"gzip deflate"
API API Version. See Versioning page for more details.
Example:
"2024-07-01"
Path Parameters
An userId.
Example:
1
Body
application/json
The payment plan repayment strategy.
Available options:
snowball, avalanche Example:
"avalanche"
Array of account IDs
Example:
[1]
Extra payment amount in cents
Example:
5000
Total monthly payment by plan in cents
Example:
20000
Response
Returns a payment plan
Payment Plan ID
Example:
1
Total monthly payment by plan in cents
Example:
20000
Date of the last payment
Example:
"2045-01-23"
The payment plan repayment strategy
Available options:
snowball, avalanche Example:
"avalanche"
Extra payment amount in cents
Example:
5000
Upcoming payments for this and next month
Show child attributes
Show child attributes
Array of account IDs
Example:
[1]